---
updatedAt: 2025-05-22T20:26:48.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Token List

The Get Token List API allows you to easily fetch the token listed in Klarda

## Definition

This endpoint retrieves a list of tokens based on specified filters and sorting options. It allows users to fetch detailed information about various tokens, sorted by market capitalization, and manage the results through pagination.

## Query Parameters

For guidance on how to leverage this method, check out the following tutorials:

1. **category** (string): The category of tokens to filter by (e.g., DeFi, NFT, Stablecoins, etc.). This parameter helps in narrowing down the search to specific types of tokens.
2. **sort\_by** (string): The field by which to sort the results. Currently, only sorting by market\_cap is supported.
3. **sort\_order** (string): The order in which to sort the results. Acceptable values are 'asc' for ascending and 'desc' for descending. Default is 'desc' for descending order.
4. **page** (int): The page number for paginated results. Default value is 1.
5. **limit** (int): The maximum number of records to return per page. Default value is 10.

## Response

The response will include a JSON object containing a list of tokens that match the specified criteria. Each token entry will include details such as the token's name, symbol, market capitalization, and other relevant information.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/token/list": {
      "get": {
        "summary": "Get Token List",
        "description": "The Get Token List API allows you to easily fetch the token listed in Klarda",
        "operationId": "get-token-list",
        "parameters": [
          {
            "name": "category",
            "in": "query",
            "description": "String - A string array that separate by comma (\",\"). For the list of Klarda's category, please use the endpoint klarda_getTokenCategory. Defaults to all category if not defined.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "String - Specify the field by which users want the results to be sorted. Can be one of the following: \"market_cap\", \"volume\", \"rank\", \"price\", \"low_24h_price\", \"high_24h_price\", \"circulating_supply\", \"total_supply\", \"dominance\", \"change_1h\", \"change_1d\", \"change_1w\", \"change_1m\", and \"change_1y\". Default to \"market_cap\".",
            "schema": {
              "type": "string",
              "default": "market_cap"
            }
          },
          {
            "name": "sort_order",
            "in": "query",
            "description": "String - Whether to return results in ascending (asc) or descending (desc) order. Ascending order is from oldest to newest transactions, descending order is from newest to oldest. Defaults to desc.",
            "schema": {
              "type": "string",
              "default": "desc"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Int - Defines the page number of the results to be retrieved from a paginated dataset. Default to 1.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Int - Defines the maximum number of items to be returned per page in a paginated dataset. Default to 10.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 10
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"total\": 4465,\n    \"result\": [\n      {\n        \"name\": \"Bitcoin\",\n        \"symbol\": \"BTC\",\n        \"logo_uri\": \"https://dbqxolzl7v371.cloudfront.net/150x150.bitcoin1524754012028.png\",\n        \"price\": 64268.89,\n        \"volume\": 14675515746,\n        \"total_supply\": 21000000,\n        \"circulating_supply\": 19689903,\n        \"market_cap\": 1264591723723.2417,\n        \"rank\": 1,\n        \"networks\": [\n          {\n            \"name\": \"bnb-testnet\",\n            \"decimals\": 18,\n            \"chain_id\": 97,\n            \"address\": \"0x79A3313501768a4a39bD86f77F9608D86E558Ec9\",\n            \"explorer_url\": \"https://testnet.bscscan.com/token/\",\n            \"standard\": \"BEP-20\"\n          }\n        ],\n        \"token_symbol\": \"BTC\",\n        \"dominance\": 49.24809244587169,\n        \"high_24h_price\": 66855.82173663276,\n        \"low_24h_price\": 63670.11947096915\n      }]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "total": {
                          "type": "integer",
                          "example": 4465,
                          "default": 0
                        },
                        "result": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "type": "string",
                                "example": "Bitcoin"
                              },
                              "symbol": {
                                "type": "string",
                                "example": "BTC"
                              },
                              "logo_uri": {
                                "type": "string",
                                "example": "https://dbqxolzl7v371.cloudfront.net/150x150.bitcoin1524754012028.png"
                              },
                              "price": {
                                "type": "number",
                                "example": 64268.89,
                                "default": 0
                              },
                              "volume": {
                                "type": "integer",
                                "example": 14675515746,
                                "default": 0
                              },
                              "total_supply": {
                                "type": "integer",
                                "example": 21000000,
                                "default": 0
                              },
                              "circulating_supply": {
                                "type": "integer",
                                "example": 19689903,
                                "default": 0
                              },
                              "market_cap": {
                                "type": "number",
                                "example": 1264591723723.2417,
                                "default": 0
                              },
                              "rank": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "networks": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "bnb-testnet"
                                    },
                                    "decimals": {
                                      "type": "integer",
                                      "example": 18,
                                      "default": 0
                                    },
                                    "chain_id": {
                                      "type": "integer",
                                      "example": 97,
                                      "default": 0
                                    },
                                    "address": {
                                      "type": "string",
                                      "example": "0x79A3313501768a4a39bD86f77F9608D86E558Ec9"
                                    },
                                    "explorer_url": {
                                      "type": "string",
                                      "example": "https://testnet.bscscan.com/token/"
                                    },
                                    "standard": {
                                      "type": "string",
                                      "example": "BEP-20"
                                    }
                                  }
                                }
                              },
                              "token_symbol": {
                                "type": "string",
                                "example": "BTC"
                              },
                              "dominance": {
                                "type": "number",
                                "example": 49.24809244587169,
                                "default": 0
                              },
                              "high_24h_price": {
                                "type": "number",
                                "example": 66855.82173663276,
                                "default": 0
                              },
                              "low_24h_price": {
                                "type": "number",
                                "example": 63670.11947096915,
                                "default": 0
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```